Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2021964 - mumble: FTBFS with OpenSSL 3.0.0
Summary: mumble: FTBFS with OpenSSL 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mumble
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: OpenSSL3.0 F36FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-11-10 13:31 UTC by Sahana Prasad
Modified: 2021-11-18 02:54 UTC (History)
6 users (show)

Fixed In Version: mumble-1.3.4-7.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-18 02:54:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github mumble-voip mumble issues 5277 0 None open Deprecation warning when built against OpenSSL 3.0 2021-11-12 01:45:25 UTC

Description Sahana Prasad 2021-11-10 13:31:13 UTC
This bug is used to track the readiness of mumble with OpenSSL 3.0.0.

Currently the build fails to build with OpenSSL 3.0.0 with the following logs
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=78020215

Kindly fix them to ensure this package builds with OpenSSL 3.0.0

You can treat the deprecated warnings not as errors if you want to continue to use deprecated functions, but it is encouraged to use the new APIs, and this migration could be done sooner than later.

To not treat deprecated warnings as errors, you may use
-Wno-error=deprecated-declarations

To port to new APIs, kindly refer to the OpenSSL upstream migration guide:
https://www.openssl.org/docs/manmaster/man7/migration_guide.html

Thank you

Comment 1 Fedora Update System 2021-11-18 02:54:04 UTC
FEDORA-2021-ad52625bf4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad52625bf4

Comment 2 Fedora Update System 2021-11-18 02:54:46 UTC
FEDORA-2021-ad52625bf4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.